Last Comment Bug 1236012 - crash in pt_PostNotifyToCvar
: crash in pt_PostNotifyToCvar
Status: NEW
: crash
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: unspecified
: Unspecified Linux
-- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 01:52 PST by Sylvestre Ledru [:sylvestre]
Modified: 2017-07-24 05:11 PDT (History)
5 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
wontfix
wontfix
wontfix


Attachments

Description User image Sylvestre Ledru [:sylvestre] 2015-12-31 01:52:12 PST
This bug was filed from the Socorro interface and is 
report bp-ed5fdf43-fe89-4cf9-b0fe-aaac32151231.
=============================================================

I don't have an STR but I was reading an signed email.
Comment 1 User image Wayne Mery (:wsmwk) 2015-12-31 02:12:47 PST
Perhaps the cause is the same for your MimeDecoderWrite 
bp-40623944-a976-4b0b-bd82-bf6a62151204
Comment 2 User image Sylvestre Ledru [:sylvestre] 2016-01-14 02:30:37 PST
One more report: bp-4d5a6c03-13a7-4d70-b257-d19e42160114
Comment 3 User image Wayne Mery (:wsmwk) 2016-01-19 05:22:12 PST
(In reply to Sylvestre Ledru [:sylvestre] from comment #2)
> One more report: bp-4d5a6c03-13a7-4d70-b257-d19e42160114

 0 	libnspr4.so	pt_PostNotifyToCvar	nsprpub/pr/src/pthreads/ptsynch.c
1 	libnspr4.so	PR_NotifyCondVar	nsprpub/pr/src/pthreads/ptsynch.c
2 	libnspr4.so	WaitPidDaemonThread	nsprpub/pr/src/md/unix/uxproces.c
3 	libnspr4.so	_pt_root	nsprpub/pr/src/pthreads/ptthread.c
Ø 4 	libpthread-2.19.so (deleted)	libpthread-2.19.so (deleted)@0x80a3	
Ø 5 	libc-2.19.so (deleted)	libc-2.19.so (deleted)@0xe606c
Comment 4 User image Gervase Markham [:gerv] (not reading bugmail) 2016-03-21 04:57:23 PDT
This keeps biting me; I think it's related to Enigmail.

Gerv
Comment 5 User image Patrick Brunschwig 2016-12-14 04:20:18 PST
As far as I can tell this is about NSPR ForkAndExec (i.e. starting a new process using NSPR).

There is only one single place where Enigmail would use XPCOM to launch a separate process - and that's only if GnuPG 2.0.15 or older is used.

Any other processes are started useing posix_spawn from libc via js-ctypes. I dount think that this is directly related to Enigmail.
Comment 6 User image Gervase Markham [:gerv] (not reading bugmail) 2016-12-21 03:39:47 PST
I keep seeing this. https://crash-stats.mozilla.com/report/index/a70cf3c6-b2d1-4207-bdec-b3b042161219 , https://crash-stats.mozilla.com/report/index/e85dd967-ec91-4c92-b6b5-2e97b2161221 etc. I see it when composing a new message, perhaps when Thunderbird is trying to auto-save a draft.

Gerv
Comment 7 User image Sylvestre Ledru [:sylvestre] 2017-02-23 00:23:40 PST
Crashed again, I found my tb instanced crashed this morning. I think I had some pending drafts.
bp-5773820a-e786-482b-9fa2-d4b412170223
Comment 8 User image Botond Ballo [:botond] 2017-05-11 16:56:55 PDT
I've experienced a crash with this signature in Firefox, too.
Comment 9 User image Botond Ballo [:botond] 2017-05-11 16:57:29 PDT
(In reply to Botond Ballo [:botond] from comment #8)
> I've experienced a crash with this signature in Firefox, too.

https://crash-stats.mozilla.com/report/index/2ffdd015-62a9-4831-a54c-e71b40170511
Comment 10 User image Wayne Mery (:wsmwk) 2017-07-24 05:11:19 PDT
sylvestre's bp-4a97a469-71ed-4b27-bd08-7cdc00170724 54.0b3

55 beta is out, so an open question is whether this happens with 55 or 56.

Note You need to log in before you can comment on or make changes to this bug.